RedCrawler API
Users V1

Remove Friend V1

Remove a user from your friends list. Requires user bearer token.

DELETE /api/v1/profiles/remove-friend/{username}

Remove a user from your friends list. Requires user bearer token.

Path parameters

NameTypeRequiredDescription
usernamestringYesReddit username to remove from friends.

Query parameters

NameTypeRequiredDescription
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X DELETE "https://red-crawler1.p.rapidapi.com/api/v1/profiles/remove-friend/Motor_Tip8865?bearer=<bearer>&proxy=<proxy>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/profiles/remove-friend/Motor_Tip8865?bearer=<bearer>&proxy=<proxy>", {
  method: "DELETE",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/profiles/remove-friend/Motor_Tip8865?bearer=<bearer>&proxy=<proxy>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.delete(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": "",
  "error": null,
  "timestamp": "2026-04-29T18:08:44.021665+00:00"
}

On this page